(New-Object System.Net.WebClient).DownloadFile('https://desktop.docker.com/win/main/amd64/Docker%20Desktop%20Installer.exe', 'docker-installer.exe')

start-process -wait docker-installer.exe " install --quiet"

rm docker-installer.exe

start-process "$env:ProgramFiles\Docker\Docker\Docker Desktop.exe"

write-host "Starting Docker Desktop"

sleep 10

write-host "Docker installation completed, installing VMS:"


$ipV4 = Test-Connection -ComputerName (hostname) -Count 1  | Select -ExpandProperty IPV4Address
$ip = $ipV4.IPAddressToString
(gc .env) -replace "MACHINE_HOST=.*", "MACHINE_HOST=$ip" | sc .env
(gc .env) -replace "APP_HOST=.*", "APP_HOST=$ip" | sc .env

docker compose up -d

echo "VMS installation completed, you can find your VMS here: http://$ip"